#
# spec file for package kubectl-who-can
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
# nodebuginfo


Name:           kubectl-who-can
Version:        0.3.0
Release:        1.13
Summary:        Tool to show who has permissions to verbs and resources in Kubernetes
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/aquasecurity/kubectl-who-can
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.15
ExcludeArch:    s390 %{ix86}

%description
kubectl-who-can shows who has permissions
to <verb> <resources> in kubernetes

%prep
%setup -qa1

%build
sed -i -e 's|go build -o|go build -buildmode=pie -mod vendor -o|g' Makefile
make

%install
mkdir -p %{buildroot}%{_bindir}/
install -D -m 0755 kubectl-who-can %{buildroot}%{_bindir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/kubectl-who-can

%changelog
* Mon Apr 19 2021 alexandre.vicenzi@suse.com
- Update to version 0.3.0:
  * chore: Bump up Go to v1.15 (#82)
  * feat: Add JSON export functionality (#81)
  * chore: Switch to main branch (#80)
  * feat: Add -o wide flag to print the ROLE column (#79)
  * chore: Add krew-release-bot for publishing plugin releases (#78)
  * refactor: Use KIND to run integration tests (#77)
  * chore: Bump up Go from 1.12 to 1.14 (#76)
  * chore: Remove Travis CI config (#75)
  * chore: Migrate from Travis CI to GitHub Actions (#74)
  * chore: Replace google/glog with kubernetes/klog (#71)
* Sun Jun  9 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu Jun  6 2019 kukuk@suse.de
- Update to version 0.0+git20190606.c185aaa:
  * Allow filtering by namespace
  * fix stale import
  * Include auth provider plugins
  * Add basic makefile
  * Add asciinema
  * More idiomatic argument checking
  * Create LICENSE
  * Create README.md
